function [ans]=ShowCalibration()

%load 'cameraNames','cameraPoses','cameraCalibrations'
load 'camera_calibration.mat';
cameraCount=length(cameraNames)

%% Graphic verification
FS=18;
LW=2;
MS=12;
tD=30; % text distance from focal point mm

cameraPinhole=0.5*[[0;0;0],[50;50;100],[-50;50;100],[0;0;0],[-50;50;100],[-50;-50;100],[0;0;0],[-50;-50;100],[50;-50;100],[0;0;0],[50;-50;100],[50;50;100]];
cameraPinhole(4,:)=1;


figure;
thisPinhole=cameraPoses(:,:,1)*cameraPinhole;
plot3(thisPinhole(3,:),thisPinhole(1,:),thisPinhole(2,:),'-r','LineWidth',LW);
text(thisPinhole(3,4)-tD,thisPinhole(1,4)+tD,thisPinhole(2,4),cameraNames{1},'Fontsize',FS-5);
hold on
for c=2:cameraCount
    thisPinhole=cameraPoses(:,:,c)*cameraPinhole;
    plot3(thisPinhole(3,:),thisPinhole(1,:),thisPinhole(2,:),'-r','LineWidth',LW);    
    text(thisPinhole(3,4)-tD,thisPinhole(1,4)+tD,thisPinhole(2,4),cameraNames{c},'Fontsize',FS-5);
end



cubeSize=1500; % mm (w x h x d)
depthCenter=0; % mm
widthCenter=0; % mm
heightCenter=0 ;% mm

xlim(depthCenter+cubeSize*([0,1]-0.5));
ylim(widthCenter+cubeSize*([0,1]-0.5));
zlim(heightCenter+cubeSize*([0,1]-0.5));
xlabel('z (mm)','FontSize',FS);
ylabel('x (mm)','FontSize',FS);
zlabel('y (mm)','FontSize',FS);
set(gca,'FontSize',FS);
set(gca,'LineWidth',LW);
%set(gca,'XTickLabel',[]);
%set(gca,'YTickLabel',[]);
%set(gca,'Visible','off');
set(gca,'XDir','reverse');
set(gca,'ZDir','reverse');
set(gca,'PlotBoxAspectRatio',[1 1 1]);


for c=1:cameraCount
    display('%')
    display(['%% Camera ''',cameraNames{c},''''])
    display(['fc = [',num2str(cameraCalibrations{c}.fc),']'])
    display(['kc = [',num2str(cameraCalibrations{c}.kc),']'])
    display(['cc = [',num2str(cameraCalibrations{c}.cc),']'])
    display(['alpha_c = ',num2str(cameraCalibrations{c}.alpha_c)])
    display(['dc = [',num2str(cameraCalibrations{c}.dc),']'])
    display(['tc = [',num2str(cameraCalibrations{c}.tc),']'])
    display(['KK = [',num2str(cameraCalibrations{c}.KK(1,:)),';'])
    display([num2str(cameraCalibrations{c}.KK(2,:)),';'])
    display([num2str(cameraCalibrations{c}.KK(3,:)),']'])
    display(['R = [',num2str(cameraCalibrations{c}.R(1,:)),';'])
    display([num2str(cameraCalibrations{c}.R(2,:)),';'])
    display([num2str(cameraCalibrations{c}.R(3,:)),']'])
    display(['T = [',num2str(cameraCalibrations{c}.T'),']'])
    display('%')
end